summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCraig Andrews <candrews@gentoo.org>2018-11-02 16:32:18 -0400
committerCraig Andrews <candrews@gentoo.org>2018-11-02 16:47:28 -0400
commit17a59d211abf89c03c7adc40c7bceb466267be4d (patch)
tree24cf20674ce2dc478a2a8a65116bfc3820cf1c6d /dev-lua
parentdev-lang/go: remove unstable 1.10 release (diff)
downloadgentoo-17a59d211abf89c03c7adc40c7bceb466267be4d.tar.gz
gentoo-17a59d211abf89c03c7adc40c7bceb466267be4d.tar.bz2
gentoo-17a59d211abf89c03c7adc40c7bceb466267be4d.zip
dev-lua/luasec: 0.7 version bump, add -9999 live version
Closes: https://bugs.gentoo.org/666762 Signed-off-by: Craig Andrews <candrews@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-lua')
-rw-r--r--dev-lua/luasec/Manifest1
-rw-r--r--dev-lua/luasec/luasec-0.7.ebuild49
-rw-r--r--dev-lua/luasec/luasec-9999.ebuild49
3 files changed, 99 insertions, 0 deletions
diff --git a/dev-lua/luasec/Manifest b/dev-lua/luasec/Manifest
index 276a3a3ad09..3ed43bd3414 100644
--- a/dev-lua/luasec/Manifest
+++ b/dev-lua/luasec/Manifest
@@ -1,2 +1,3 @@
DIST luasec-0.5.1.tar.gz 46820 BLAKE2B 3b3d33c59c6817a810bb4ab5968657e29d123d5496e9ba28f03636ce389b99fb1e7724d9f2531fc651c86c8252a08973e76ae65ee5ab551cfe4d450519982053 SHA512 c7c92c79d0ec3e12b69f88d810a19397eaf570957d1f13b9695ee435cb6f0f9c31f5bc20a7252aac93d18eed98a5d3fc8a181cd85845a704e469055f215609a8
DIST luasec-0.6.tar.gz 51071 BLAKE2B d10761399e074eaa657abad2788936296a6fd33db64291663e385b21fc4a4a19ff96fe1a88db9805a3794406f08c597a03c048cfc8675949baf9eaa9368b8b7f SHA512 f7004a329153d0126a3ea27b4986e9d83fb8f2de9c5c2f0c96427c50cc42e1252c69fd8cc69e2e8d423745d2dbfdb5a781b609938f7f502c7aedeb99fd0778cd
+DIST luasec-0.7.tar.gz 47965 BLAKE2B 5bd19cfb5c2529a6fbee221442730c87394f1bf3d5089dd83d18e91ef1a2b88cde19c59988e438eb37e50c02c40a8906ad11ce9b3247b03ea11ed6d9e890b7d6 SHA512 6adf5241aa5a0d92c9dd7fc7f7e426969475548f47979ccc28187471b3bad4132c215de6da1f471d21b05c6558d36309264512c9c4ac70a53d6f6e204cac1358
diff --git a/dev-lua/luasec/luasec-0.7.ebuild b/dev-lua/luasec/luasec-0.7.ebuild
new file mode 100644
index 00000000000..df666e66d83
--- /dev/null
+++ b/dev-lua/luasec/luasec-0.7.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib toolchain-funcs
+
+DESCRIPTION="Lua binding for OpenSSL library to provide TLS/SSL communication"
+HOMEPAGE="https://github.com/brunoos/luasec"
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/brunoos/${PN}.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/brunoos/luasec/archive/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~x86"
+ S=${WORKDIR}/${PN}-${P}
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="libressl"
+
+RDEPEND="
+ >=dev-lang/lua-5.1:0[deprecated]
+ dev-lua/luasocket
+ !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:= )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ default
+ sed -i -e "s/-O2//" src/Makefile || die
+ lua src/options.lua -g /usr/include/openssl/ssl.h > src/options.h || die
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ LD="$(tc-getCC)" \
+ linux
+}
+
+src_install() {
+ emake \
+ LUAPATH="${D}/$(pkg-config --variable INSTALL_LMOD lua)" \
+ LUACPATH="${D}/$(pkg-config --variable INSTALL_CMOD lua)" \
+ install
+}
diff --git a/dev-lua/luasec/luasec-9999.ebuild b/dev-lua/luasec/luasec-9999.ebuild
new file mode 100644
index 00000000000..df666e66d83
--- /dev/null
+++ b/dev-lua/luasec/luasec-9999.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib toolchain-funcs
+
+DESCRIPTION="Lua binding for OpenSSL library to provide TLS/SSL communication"
+HOMEPAGE="https://github.com/brunoos/luasec"
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/brunoos/${PN}.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/brunoos/luasec/archive/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~x86"
+ S=${WORKDIR}/${PN}-${P}
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="libressl"
+
+RDEPEND="
+ >=dev-lang/lua-5.1:0[deprecated]
+ dev-lua/luasocket
+ !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:= )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ default
+ sed -i -e "s/-O2//" src/Makefile || die
+ lua src/options.lua -g /usr/include/openssl/ssl.h > src/options.h || die
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ LD="$(tc-getCC)" \
+ linux
+}
+
+src_install() {
+ emake \
+ LUAPATH="${D}/$(pkg-config --variable INSTALL_LMOD lua)" \
+ LUACPATH="${D}/$(pkg-config --variable INSTALL_CMOD lua)" \
+ install
+}